Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.ticket
Enum WorkflowOpsV1.MethodName

    java.lang.Object
      java.lang.Enum<WorkflowOpsV1.MethodName>
          com.bea.content.spi.flexspi.ticket.WorkflowOpsV1.MethodName

All Implemented Interfaces
  Serializable, Comparable<WorkflowOpsV1.MethodName>

Enclosing interface:
  WorkflowOpsV1

    public static enum WorkflowOpsV1.MethodName

extends Enum<WorkflowOpsV1.MethodName>

Enum Constant Summary
`addWorkflow`
`deleteWorkflow`
`getAllWorkflows`
`getDefaultWorkflow`
`getNativeFilterableProperties`
`getNativeSortableProperties`
`getNodeIDsForWorkflow`
`getTypeIDsForWorkflow`
`getWorkflowDocument`
`getWorkflowForNode`
`getWorkflowForType`
`getWorkflowWithId`
`getWorkflowWithName`
`setDefaultWorkflow`
`setNodeWorkflow`
`setTypeWorkflow`
`updateWorkflowDocument`
`updateWorkflowMetaData`

Method Summary
`static WorkflowOpsV1.MethodName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WorkflowOpsV1.MethodName[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### addWorkflow

    public static final WorkflowOpsV1.MethodName addWorkflow

### deleteWorkflow

    public static final WorkflowOpsV1.MethodName deleteWorkflow

### getAllWorkflows

    public static final WorkflowOpsV1.MethodName getAllWorkflows

### getDefaultWorkflow

    public static final WorkflowOpsV1.MethodName getDefaultWorkflow

### getNativeFilterableProperties

    public static final WorkflowOpsV1.MethodName getNativeFilterableProperties

### getNativeSortableProperties

    public static final WorkflowOpsV1.MethodName getNativeSortableProperties

### getNodeIDsForWorkflow

    public static final WorkflowOpsV1.MethodName getNodeIDsForWorkflow

### getTypeIDsForWorkflow

    public static final WorkflowOpsV1.MethodName getTypeIDsForWorkflow

### getWorkflowDocument

    public static final WorkflowOpsV1.MethodName getWorkflowDocument

### getWorkflowForNode

    public static final WorkflowOpsV1.MethodName getWorkflowForNode

### getWorkflowForType

    public static final WorkflowOpsV1.MethodName getWorkflowForType

### getWorkflowWithId

    public static final WorkflowOpsV1.MethodName getWorkflowWithId

### getWorkflowWithName

    public static final WorkflowOpsV1.MethodName getWorkflowWithName

### setDefaultWorkflow

    public static final WorkflowOpsV1.MethodName setDefaultWorkflow

### setNodeWorkflow

    public static final WorkflowOpsV1.MethodName setNodeWorkflow

### setTypeWorkflow

    public static final WorkflowOpsV1.MethodName setTypeWorkflow

### updateWorkflowDocument

    public static final WorkflowOpsV1.MethodName updateWorkflowDocument

### updateWorkflowMetaData

    public static final WorkflowOpsV1.MethodName updateWorkflowMetaData

Method Detail

### values

    public static final WorkflowOpsV1.MethodName[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static WorkflowOpsV1.MethodName valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved